<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Булочкин сайт!</title>

    <!-- Vue -->
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <!-- Babel -->
    <script src="https://unpkg.com/@babel/standalone/babel.min.js"></script>
    <!-- React -->
    <script
      crossorigin
      src="https://unpkg.com/react@16/umd/react.development.js"
    ></script>
    <script
      crossorigin
      src="https://unpkg.com/react-dom@16/umd/react-dom.development.js"
    ></script>

    <!-- Semantic UI -->
    <link
      rel="stylesheet"
      type="text/css"
      href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.css"
    />
    <script
      src="https://code.jquery.com/jquery-3.1.1.min.js"
      integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8="
      crossorigin="anonymous"
    ></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.js"></script>

    <!-- Custom CSS -->
    <link rel="stylesheet" href="css/main.css" />
    <link rel="stylesheet" href="css/vue-game.css" />
    <link rel="stylesheet" href="css/react-comments.css" />
  </head>

  <body>
    <div id="overlay" class="overlay">
      <div class="card thanksgiving slide-down">
        <h3>Спасибо за оставленный номерок! &lt3</h3>
        <h4 class="phone-output"></h4>
      </div>
    </div>

    <div class="hero-bg">
      <section class="top fade-in-and-slide-down">
        <header>
          <a href="#" mama="love">bulochkas.site</a>
        </header>

        <h1><span>Самый первый</span> Булочкин сайт</h1>

        <p>
          Всем привет! Я Настя, а для друзей - просто Булочка. Так сложилось,
          что Булочка сегодня учится программировать, поэтому будьте осторожны
          на дорогах! :) Хотите самого милого программиста в свою команду?
        </p>

        <div class="form-container card">
          <form action="">
            <div class="form-left">
              <label for="phone-number">Оставьте номерочек:</label>
              <input type="text" name="phone-number" />
              <p>(кредиты не предлагать)</p>
            </div>

            <div class="form-right">
              <button type="submit" id="hire-button" class="button">
                Предложить работу
              </button>
            </div>
          </form>
        </div>
      </section>
    </div>

    <section class="about">
      <div class="about-text">
        <h2>Мягкая. Пышная.</h2>
        <p>
          Громко смеюсь, неплохо шучу, шарю за мемы, готовлю, убираюсь, стираю,
          поддержу, обниму, утешу. Помогу выбрать подарок твоей девушке,
          притворюсь твоей девушкой для бабушки из Саратова, мечтающей женить
          тебя. <br />
          И программирую, конечно.
        </p>
      </div>

      <img src="images/bul1.jpg" alt="Булочка-красотулечка" />

      <div id="react-comments" class="widget card"></div>

      <div id="punch-game" class="widget card vue-logo">
        <header>
          <div class="Header">
            <h3 class="ui header">
              <div class="content">Поиграем?</div>
            </h3>
          </div>
          <div class="ui divider"></div>
        </header>
        <!-- bag image -->
        <div class="bag-container">
          <div id="bag" :class="isEnded ? 'burst' : ''"></div>

          <!-- bag health -->
          <div id="bag-health">
            <div :style="{ width: `${health}%`}" :class="healthBarColor"></div>
          </div>
        </div>

        <!-- game controls  -->
        <div class="ui divider"></div>
        <div id="controls">
          <button v-show="!isEnded" class="button" @click="punch">
            <i class="hand rock icon"></i>
          </button>
          <button class="button" @click="restart">
            <i class="undo alternate icon"></i>
          </button>
        </div>
      </div>
    </section>

    <!-- <div style="text-align: center;" class="lorems">
      <p>lorem error ipsum</p>
      <p>lorem success ipsum</p>
      <p>lorem ipsum lorem</p>
      <p>lorem ipsum success</p>
      <p>error lorem ipsum</p>
      <p>lorem ipsum lorem</p>
      <p>lorem ipsum error</p>
      <p>success lorem ipsum</p>
    </div> -->

    <script src="js/main.js"></script>
    <script src="js/react/components/Comment.js" type="text/babel"></script>
    <script src="js/react/components/CommentForm.js" type="text/babel"></script>
    <script
      src="js/react/components/CommentsList.js"
      type="text/babel"
    ></script>
    <script src="js/react/components/Header.js" type="text/babel"></script>
    <script src="js/react/App.js" type="text/babel"></script>
    <script src="js/react/index.js" type="text/babel"></script>
    <script src="js/examples.js"></script>
    <script src="js/vue-game.js"></script>
  </body>
</html>
